Bug 978396 - too much hand eye coordination required to answer calls
too much hand eye coordination required to answer calls
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
19
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 10:14 EDT by Stuart D Gathman
Modified: 2015-02-17 10:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:42:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2013-06-26 10:14:47 EDT
Description of problem:
All desktops tested (gnome-shell, cinnamon, mate, LXDE) present problems answering calls via notifiers

Version-Release number of selected component (if applicable):
ekiga-4.0.1-1.fc17.i686

How reproducible:
Always

Steps to Reproduce:
1. Wait for call
2. (gnome-shell) when call notifier pops up, aim for "Answer" button and miss
3.

Actual results:
Notifier goes away, the phone continues to ring, but you have no way to answer it anymore!

Expected results:
Regardless of any cool notifiers, ekiga needs a way to answer the $%$@^&$ phone.  Ekiga is supposed to be a soft-phone, not a video game.

Additional info:
On cinnamon, notifiers are missing the Answer and Reject buttons (cinnamon lies to ekiga about supporting those buttons).  On gnome-fallback, the call notifier is halfway off the screen, so that the Answer button is not reachable.  

See bug#875214
Comment 1 Stuart D Gathman 2013-06-26 10:41:06 EDT
I just had a brilliant idea!  Maybe the ekiga GUI could have an Answer button!
Comment 2 Fedora End Of Life 2013-07-03 22:30:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Stuart D Gathman 2013-07-05 11:06:01 EDT
Tried this out in F19.  Still same issues.
Comment 4 Stuart D Gathman 2013-07-12 09:53:15 EDT
Update for F19.  Notifiers stopped working completely in MATE.  There is no notifier at all when the phone rings in ekiga!  However, I was able to use the menu to open the call window (View/Video Preview) and press the answer button there.  So I have a way to answer calls.  It would be a lot easier if there was an answer button on the main window.  There is a button to display the call window (with a webcam icon on it), but it is greyed out and inactive when the phone is ringing (just when you need it).  I think it was a happy accident that the programmer forgot to disable the menu option when a call comes in!  

I understand the artistic purity of using notifiers to answer calls.  But there MUST be an alternative for when notifiers are broken - as they are on half of the desktop environments ekiga could be used in.  Even when notifiers work, I don't want to miss a call just because I missed the button and dismissed the notifier instead!
Comment 5 Peter Robinson 2013-07-12 10:18:34 EDT
Notifications is the desktop's responsibility. Basically the application puts them on a bus/queue and it's the desktops job to display them
Comment 6 Stuart D Gathman 2013-07-12 14:19:25 EDT
(In reply to Peter Robinson from comment #5)
> Notifications is the desktop's responsibility. Basically the application
> puts them on a bus/queue and it's the desktops job to display them

Understood, and that may be the most aesthetically pleasing way to provide a way to answer the phone.  But the reality is, that more than half of the desktops out there are BROKEN, and notifications DON'T WORK well enough to answer the phone.  That is not ekiga's fault, true.  But is it too much to ask for a fall back "Answer" button?  Fortunately, the menu option was left enabled, but that requires 3 clicks to answer the phone.

It is truly amazing to me that a seemingly simple desktop feature like pop-up notifications could be SO BROKEN in so many independent products.  Maybe there is no effective test suite for them.
Comment 7 Yannick Defais 2013-12-18 09:52:15 EST
Seems a valid concern to me. I pushed it upstream :
https://bugzilla.gnome.org/show_bug.cgi?id=720679

Thank you for reporting this issue.

Regards,
Yannick
Comment 8 Stuart D Gathman 2014-01-31 15:20:57 EST
mate-notification-daemon is core dumping again.  Sigh.  So yeah, notifiers don't work in half the desktops.
Comment 9 Fedora End Of Life 2015-01-09 13:32:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:42:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.